import request from '@/utils/request'

// 查询能源设施/系统列表
export function listFacs(query) {
  return request({
    url: '/ems/basecfg/emsfacs/list',
    method: 'get',
    params: query
  })
}

// 查询能源设施/系统详细
export function getFacs(id) {
  return request({
    url: '/ems/basecfg/emsfacs/' + id,
    method: 'get'
  })
}

// 新增能源设施/系统
export function addFacs(data) {
  return request({
    url: '/ems/basecfg/emsfacs',
    method: 'post',
    data: data
  })
}

// 修改能源设施/系统
export function updateFacs(data) {
  return request({
    url: '/ems/basecfg/emsfacs',
    method: 'put',
    data: data
  })
}

// 删除能源设施/系统
export function delFacs(id) {
  return request({
    url: '/ems/basecfg/emsfacs/' + id,
    method: 'delete'
  })
}
